<?php
/* Using Direct Object Manager */ 
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
/* Get store manager */ 
$storeManager = $objectManager->get('\Magento\Store\Model\StoreManagerInterface');
// BASE URL 
$baseUrl = $storeManager->getStore()->getBaseUrl();

// MEDIA URL 
$mediaUrl =$storeManager->getStore()->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA);

$categoryFactory = $objectManager->get('\Magento\Catalog\Model\CategoryFactory');
 
$productid = $this->getRequest()->getParam('id');                                       
$product = $objectManager->create('Magento\Catalog\Model\Product')->load($productid);

$ruleid=array(2,3,4,5);
?>


<section class="delivery_block">
  <div class="container-fluid">
    <ul>
      <li>
        <div class="delivery_box"><span class="delivery_icon"><img src="<?php echo $mediaUrl;?>wysiwyg/delivery_truck.png" alt=""></span> <span>Free Home Delivery</span></div>
      </li>
      <li>
        <div class="delivery_box"><span class="delivery_icon"><img src="<?php echo $mediaUrl;?>wysiwyg/cash_delivery.png" alt=""></span> <span>Cash On Delivery</span></div>
      </li>
      <li>
        <div class="delivery_box"><span class="delivery_icon"><img src="<?php echo $mediaUrl;?>wysiwyg/easy_return.png" alt=""></span> <span>Easy Returns</span></div>
      </li>
    </ul>
  </div>
</section>
<section class="product_blocks">
  <div class="container">
    <div class="product_block">
      <h2>Best Sellers</h2>

     <div class="product_list">
        <ul>
          <?php
              $categoryId = 293; // YOUR CATEGORY ID
              $category = $categoryFactory->create()->load($categoryId);
               
              $categoryProducts = $category->getProductCollection()
                  ->addAttributeToSelect('*');
               $categoryProducts 
                  ->setPageSize(12)->load(); 
              $imageHelper  = $objectManager->get('\Magento\Catalog\Helper\Image');
              $m=0; 
              foreach ($categoryProducts as $product) {
                  $image_url = $imageHelper->init($product, 'product_page_image_small')->setImageFile($product->getImage())->resize(320, 90)->getUrl();
                  if ($product->getTypeId() == 'configurable'){ 
                    continue;
                  }
                  if ($m==4) {
                    break;
                  }
                  $m++;
                  ?>

          <li id="cproductitem<?php echo $product->getId();?>">
            <div class="product_box">
               <div class="homeadd-qty">
                 <button style="display: none;" class="ad_qty" id="updatedqty<?php echo $product->getId();?>">0</button>
               </div>
              <a href="<?php echo $product->getProductUrl();?>" class="product_thumb"> <img src="<?php echo $image_url;?>" style="width:258px !important; height: 90px !important;" alt=""> </a>
            <span class="product_price"><strong><?php $price = $product->getPrice(); $priceFormatted = $this->helper('Magento\Framework\Pricing\Helper\Data')->currency(number_format($price, 2), true, false); echo $priceFormatted ?></strong></span>
              <div class="product_title">
                
                <a href="<?php echo $product->getProductUrl();?>" class="product_title"> 
                <p><?php echo $product->getName();?>/<?php 
                $productoptionid = $product->getProductOption();
                $attribute = $product->getResource()->getAttribute('product_option');
                if ($attribute->usesSource()) {
                  echo $optionText = $attribute->getSource()->getOptionText($productoptionid);
                }
                ?></p></a>
                
              </div>
              <?php 
              $listBlock= $objectManager->get('\Magento\Catalog\Block\Product\ListProduct'); $addToCartUrl = $listBlock->getAddToCartUrl($product); ?>
              <div class="field" style="display: none;" id="cutomqtysection<?php echo $product->getId();?>" >
                                  <label class="label" for="qty"></label>
                                  <div class="control">
                                    <div class="custom-qty reduced"><button type="button" class="btn-qty minus"><span id="minus<?php echo $product->getId();?>" class="mbi mbi-minus"></span></button></div>
                                    <div class="custom-qty increase"><button type="button" class="btn-qty plus"><span id="plus<?php echo $product->getId();?>" class="mbi mbi-plus"></span></button></div>
                                  </div>
                                </div>
                          <form data-role="tocart-form" action="<?php echo $addToCartUrl; ?>" method="post">
                            <?php echo $block->getBlockHtml('formkey')?>
                            <button id="addtocart_<?php echo $product->getId();?>"  type="submit" title="Add to Cart" class="complimetry action customcart primary"> <span><i class="mbi mbi-cart" ></i></span>
                            </button>
                        </form>
              <!-- <div class="cart_button"><a class="add_to_button" href="#"><i class="mbi mbi-cart"></i></a></div> -->
            </div>
            <input type="hidden" readonly name="qute<?php echo $product->getId();?>" id="qute<?php echo $product->getId();?>"  value="" >
<script type="text/javascript">
  requirejs(['jquery'], function( jQuery ) {

        
    var pid ='';
     setTimeout(function(){
      hitforqote();
      jQuery("select#<?php echo $product->getId();?>").click(function(){
        hitforqote();
      });
      jQuery("#minus<?php echo $product->getId();?>").click(function(){
        hitforqote();
      setTimeout(function(){
      var qoteid= jQuery("#qute<?php echo $product->getId();?>").val();
     
      if (qoteid!="") {
        //alert(qoteid);
                var uqty = jQuery("#cart-item-"+qoteid+"-qty").val();
                //alert(uqty);
                if (uqty=="1") {
                     //alert(uqty);
                    jQuery('[data-cart-item='+qoteid+']').click();
                    jQuery("#cutomqtysection<?php echo $product->getId();?>").hide();
                    jQuery("#addtocart_<?php echo $product->getId();?>").show();
                    jQuery("#updatedqty<?php echo $product->getId();?>").hide();

                }else{
                jQuery("#minus-cart-item-"+qoteid).click();
                 setTimeout(function(){
                 hitforqote();
            },500);
                }

      }else{

      }
      
      },1000);
    });
    jQuery("#plus<?php echo $product->getId();?>").click(function(){
         jQuery("#addtocart_<?php echo $product->getId();?>").click();
         setTimeout(function(){
         
         hitforqote();
     },1000);
          });
    jQuery("#addtocart_<?php echo $product->getId();?>").click(function(){
      setTimeout(function(){
        //alert("-");
         
         hitforqote();
     },1000);
          });
     jQuery("#addtocart_<?php echo $product->getId();?>").hover(function(){
      setTimeout(function(){
         
         hitforqote();
     },1000);
          });
         
     },4000 );


         function hitforqote(){
            setTimeout(function(){
             var pid = "<?php echo $product->getId();?>";
            //var sku = jQuery("div[itemprop=sku]").html();
            
            //alert(pid);
            var url ='<?php echo $baseUrl;?>deliveryarea/index/listaction';
            jQuery.ajax({
                     url: url,
                    type: 'POST',
                    data: {
                      pid: pid,
                  },
                  success: function(response) { 
                            
                            
                         
                          if (response!="") {
                            response=parseInt(response) + 1;
                            jQuery("#cutomqtysection<?php echo $product->getId();?>").show();
                            jQuery("#addtocart_<?php echo $product->getId();?>").hide();
                            var uqty = jQuery("#cart-item-"+response+"-qty").val();
                           // alert(uqty);
                           jQuery("#updatedqty<?php echo $product->getId();?>").show();
                            jQuery("#updatedqty<?php echo $product->getId();?>").text(uqty);
                            jQuery("#qute<?php echo $product->getId();?>").val('');
                            jQuery("#qute<?php echo $product->getId();?>").val(response);
                            jQuery("#cproductitem<?php echo $product->getId();?>").addClass("item-selected");
                         }else{
                            jQuery("#cproductitem<?php echo $product->getId();?>").removeClass("item-selected");
                            jQuery("#cutomqtysection<?php echo $product->getId();?>").hide();
                            jQuery("#addtocart_<?php echo $product->getId();?>").show();
                            jQuery("#qute<?php echo $product->getId();?>").val('');
                            jQuery("#updatedqty<?php echo $product->getId();?>").hide();
                         }
                        
                         
                      }
                  
              });
            },500 );
         }


  });
</script>
          </li>
         <?php }?>
         <li>
         <div class="product_box"><a href="<?php echo $baseUrl;?>best-seller.html" class="product_thumb"> <img src="<?php echo $mediaUrl;?>wysiwyg/fruits_platters.png" alt=""> </a>
              <div class="product_title"><span class="product_price">View More <br>Products</span></div>
              <div class="cart_button"><a class="add_to_button" href="<?php echo $baseUrl;?>best-seller.html">Show All</a></div>
            </div>
          </li>
        </ul>
      </div>
    <div class="single_banner"><a href="#"><img src="<?php echo $mediaUrl;?>wysiwyg/barakatbanner2.jpg" alt=""></a></div>
    <div class="product_block">
      <h2>Latest Promotions</h2>
      <div class="product_list">
          <ul>
          <?php
              $categoryId = 291; // YOUR CATEGORY ID
              $category = $categoryFactory->create()->load($categoryId);
               
              $categoryProducts = $category->getProductCollection()
                  ->addAttributeToSelect('*');
               $categoryProducts 
                  ->setPageSize(12)->load(); 
              $imageHelper  = $objectManager->get('\Magento\Catalog\Helper\Image');
              $i=0; 
              foreach ($categoryProducts as $product) {
                  $image_url = $imageHelper->init($product, 'product_page_image_small')->setImageFile($product->getImage())->resize(320, 90)->getUrl();
                  if ($product->getTypeId() == 'configurable'){ 
                    continue;
                  }
                  $i++;
                  if ($i==5) {
                    break;
                  }
                  ?>

           <li id="cproductitem<?php echo $product->getId();?>">
            <div class="product_box">
             <div class="homeadd-qty">
               <button  class="ad_qty" id="updatedqty<?php echo $product->getId();?>">0</button>
               </div>
              <a href="<?php echo $product->getProductUrl();?>" class="product_thumb"> <img src="<?php echo $image_url;?>" style="width:258px !important; height: 90px !important;" alt=""> </a>
            <span class="product_price"><strong><?php $price = $product->getPrice(); $priceFormatted = $this->helper('Magento\Framework\Pricing\Helper\Data')->currency(number_format($price, 2), true, false); echo $priceFormatted ?></strong></span>
              <div class="product_title">
                
                <a href="<?php echo $product->getProductUrl();?>" class="product_title"> 
                <a href="<?php echo $product->getProductUrl();?>" class="product_title"> 
                <p><?php echo $product->getName();?>/<?php 
                $productoptionid = $product->getProductOption();
                $attribute = $product->getResource()->getAttribute('product_option');
                if ($attribute->usesSource()) {
                  echo $optionText = $attribute->getSource()->getOptionText($productoptionid);
                }
                ?></p></a>
              </div>
              <?php 
              $listBlock= $objectManager->get('\Magento\Catalog\Block\Product\ListProduct'); $addToCartUrl = $listBlock->getAddToCartUrl($product); ?>
              <div class="field" style="display: none;" id="cutomqtysection<?php echo $product->getId();?>" >
                                  <label class="label" for="qty"></label>
                                  <div class="control">
                                    <div class="custom-qty reduced"><button type="button" class="btn-qty minus"><span id="minus<?php echo $product->getId();?>" class="mbi mbi-minus"></span></button></div>
                                    <div class="custom-qty increase"><button type="button" class="btn-qty plus"><span id="plus<?php echo $product->getId();?>" class="mbi mbi-plus"></span></button></div>
                                  </div>
                                </div>
                          <form data-role="tocart-form" action="<?php echo $addToCartUrl; ?>" method="post">
                            <?php echo $block->getBlockHtml('formkey')?>
                            <button id="addtocart_<?php echo $product->getId();?>"  type="submit" title="Add to Cart" class="complimetry action customcart primary"> <span><i class="mbi mbi-cart" ></i></span>
                            </button>
                        </form>
              <!-- <div class="cart_button"><a class="add_to_button" href="#"><i class="mbi mbi-cart"></i></a></div> -->
            </div>
            <input type="hidden" readonly name="qute<?php echo $product->getId();?>" id="qute<?php echo $product->getId();?>"  value="" >
<script type="text/javascript">
  requirejs(['jquery'], function( jQuery ) {

        
    var pid ='';

     setTimeout(function(){

      jQuery("select#<?php echo $product->getId();?>").click(function(){
        hitforqote();
      });
      jQuery("#minus<?php echo $product->getId();?>").click(function(){
        hitforqote();
      setTimeout(function(){
      var qoteid= jQuery("#qute<?php echo $product->getId();?>").val();
     
      if (qoteid!="") {
        //alert(qoteid);
                var uqty = jQuery("#cart-item-"+qoteid+"-qty").val();
                //alert(uqty);
                if (uqty=="1") {
                     //alert(uqty);
                    jQuery('[data-cart-item='+qoteid+']').click();
                    jQuery("#cutomqtysection<?php echo $product->getId();?>").hide();
                    jQuery("#addtocart_<?php echo $product->getId();?>").show();
                    jQuery("#updatedqty<?php echo $product->getId();?>").hide();

                }else{
                jQuery("#minus-cart-item-"+qoteid).click();
                 setTimeout(function(){
                 hitforqote();
            },500);
                }

      }else{

      }
      
      },1000);
    });
    jQuery("#plus<?php echo $product->getId();?>").click(function(){
         jQuery("#addtocart_<?php echo $product->getId();?>").click();
         setTimeout(function(){
         
         hitforqote();
     },1000);
          });
    jQuery("#addtocart_<?php echo $product->getId();?>").click(function(){
      setTimeout(function(){
        //alert("-");
         
         hitforqote();
     },1000);
          });
     jQuery("#addtocart_<?php echo $product->getId();?>").hover(function(){
      setTimeout(function(){
         
         hitforqote();
     },1000);
          });
         
     },4000 );


         function hitforqote(){
            setTimeout(function(){
             var pid = "<?php echo $product->getId();?>";
            //var sku = jQuery("div[itemprop=sku]").html();
            
            //alert(pid);
            var url ='<?php echo $baseUrl;?>deliveryarea/index/listaction';
            jQuery.ajax({
                     url: url,
                    type: 'POST',
                    data: {
                      pid: pid,
                  },
                  success: function(response) { 
                            
                            
                         
                          if (response!="") {
                            response=parseInt(response) + 1;
                            jQuery("#cutomqtysection<?php echo $product->getId();?>").show();
                            jQuery("#addtocart_<?php echo $product->getId();?>").hide();
                            var uqty = jQuery("#cart-item-"+response+"-qty").val();
                           // alert(uqty);
                           jQuery("#updatedqty<?php echo $product->getId();?>").show();
                            jQuery("#updatedqty<?php echo $product->getId();?>").text(uqty);
                            jQuery("#qute<?php echo $product->getId();?>").val('');
                            jQuery("#qute<?php echo $product->getId();?>").val(response);
                            jQuery("#cproductitem<?php echo $product->getId();?>").addClass("item-selected");
                         }else{
                            jQuery("#cproductitem<?php echo $product->getId();?>").removeClass("item-selected");
                            jQuery("#cutomqtysection<?php echo $product->getId();?>").hide();
                            jQuery("#addtocart_<?php echo $product->getId();?>").show();
                            jQuery("#qute<?php echo $product->getId();?>").val('');
                            jQuery("#updatedqty<?php echo $product->getId();?>").hide();
                         }
                        
                         
                      }
                  
              });
            },500 );
         }


  });
</script>
          </li>
         <?php }?>
         <li>
         <div class="product_box"><a href="<?php echo $baseUrl;?>latest-promotion.html" class="product_thumb"> <img src="<?php echo $mediaUrl;?>wysiwyg/fruits_platters.png" alt=""> </a>
              <div class="product_title"><span class="product_price">View More <br>Products</span></div>
              <div class="cart_button"><a class="add_to_button" href="<?php echo $baseUrl;?>latest-promotion.html">Show All</a></div>
            </div>
          </li>
        </ul>
      </div>
    </div>
 <div id="quoteshow" class="mymodal1">
  <div class="promo-popup">
  <div class="popup-title">
    <h3>Get 40%</h3>
    <div class="offer-description">Get Your Offer</div>
  </div>
  <div class="popup-body">
    <div class="offer-condition">
      
    </div> 
  </div>
  <div class="coupen-code">
    <p>Coupon code: <span>ORANGE40</span></p>
  </div>

  <button class="copy-code">Copy coupon code</button>
  <input type="hidden" name="lid" value="">
</div>
</div>
<script>
  require(['jquery'],function(jQuery){
    jQuery(document).ready(function () {
      jQuery(document).ajaxComplete(function () {
        jQuery(".clickpopup").click(function(){
         
          var cid =jQuery(this).attr('id');
          jQuery("#quoteshow").find('h3').text(jQuery("#i"+cid).find('p').text());
          jQuery("#quoteshow").find('.offer-condition').text(jQuery("#i"+cid).find('.pdiscription').text());
          jQuery("#quoteshow").find('.coupen-code span').text(jQuery("#d"+cid).val());
          jQuery(".copy-code").next().val(cid);
        });
        jQuery(".copy-code").text("Copy coupon code");
        jQuery(".copy-code").click(function(){
          var cid =jQuery(this).next().val();
          jQuery("#d"+cid).select(); 
          document.execCommand("copy");
          jQuery(this).text("Coupon code copied");
        });
      });
    });
  });
      require(
      ['jquery',
      'Magento_Ui/js/modal/modal'
      ],
      function(
      $,
      modal
      ) {
      var options = {
      type: 'popup',
      responsive: true,
      innerScroll: false,
      modalClass: 'Promomodalcustomclass',
      buttons: []
      };
      var popup = modal(options, $('#quoteshow'));
      $(".clickpopup").on('click',function(){
      $("#quoteshow").modal("openModal");
      });
      }
      );
      </script>
    <div class="promo_block">
      <h2>Bank Offers &amp; Promo Code</h2>
      <div class="promo_list">
        <ul>
          <?php $i=1;
           foreach ($ruleid as $id) {
            $rule = $objectManager->create('Magento\SalesRule\Model\Rule')->load($id);
            $isActive = $rule->getIsActive(); ?>
            <li>
              <div <?php if($i>4){ ?> style="display: none;" <?php }?> class="promo_box" id="ic<?php echo $rule['rule_id'];?>">
              <div class="promo_title" style="height: 204px;">
                <p><?php echo $rule['name']?></p>
              </div>
              <a class="promo_button"><span class="promo_code clickpopup" id="c<?php echo $rule['rule_id'];?>">Use Promo Code <?php echo $rule['coupon_code'];?><input type="text" style="opacity: 0;" name="pcode" id="dc<?php echo $rule['rule_id'];?>" value="<?php echo $rule['coupon_code'];?>"></span></a>
              <div style="display: none;" class="pdiscription"><?php echo $rule['description'];?></div>
            </div>
          </li>
            <?php

          $i++; } ?>
         
         <!--  <li>
            <div class="promo_box">
              <div class="promo_title" style="height: 204px;">
                <p>Buy 4 Get 1 <small>On Juices</small></p>
              </div>
              <div class="promo_button"><span class="promo_code">Use Promo Code JUICE</span></div>
            </div>
          </li> -->
         <?php if (count($ruleid)>4) { ?>
           <li>
            <div class="promo_box">
              <div class="promo_title" style="height: 204px;">
                <p>+ <?php  $fcount=count($ruleid)-4; echo $fcount; ?><small>More Offers</small></p>
              </div>
              <div class="promo_button"><a href="JavaScript:void(0);" class="promo_code">View All</a></div>
            </div>
          </li>
         <?php } ?>
          
        </ul>
      </div>
    </div>
    <div class="popular_categories">
      <h2>Popular Categories </a></h2>
      <div class="popular_category_block">
        <div class="row">
          <div class="col-md-6"><a class="popular_half" href="<?php echo $baseUrl;?>/fresh-juices.html"><img src="<?php echo $mediaUrl;?>wysiwyg/popular_fruits.png" alt=""><span class="pop_cat_title">Juices</span></a></div>
          <div class="col-md-6">
            <div class="row">
              <div class="col-6"><a class="popular_one_four green_bg" href="<?php echo $baseUrl;?>/fresh-and-salad.html"> <span class="category_thumb"> <img src="<?php echo $mediaUrl;?>wysiwyg/keto_salad.png" alt=""> </span> <span class="pop_cat_title">Salad</span></a></div>
              <div class="col-6"><a class="popular_one_four orange_bg" href="<?php echo $baseUrl;?>/fruit-platters.html"> <span class="category_thumb"><img src="<?php echo $mediaUrl;?>wysiwyg/fruits_plate.png" alt=""></span> <span class="pop_cat_title">Fruits Platters</span> </a></div>
            </div>
            <div class="row">
              <div class="col-6"><a class="popular_one_four pink_bg" href="<?php echo $baseUrl;?>/ice-creams-and-ice-pops.html"> <span class="category_thumb"> <img src="<?php echo $mediaUrl;?>wysiwyg/ice_cream.png" alt=""> </span> <span class="pop_cat_title">Ice Creams</span></a></div>
              <div class="col-6"><a class="popular_one_four firozi_bg" href="<?php echo $baseUrl;?>/cut-fruits-and-veggie.html"><span class="category_thumb"> <img src="<?php echo $mediaUrl;?>wysiwyg/cut_fruits.png" alt=""> </span> <span class="pop_cat_title">Cut Fruits</span></a></div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<section class="newsletter_block">
  <div class="container">
    <div class="newsletter_main">
      <div class="news_letter_left"><img src="<?php echo $mediaUrl;?>wysiwyg/envelop.png" alt="">
        <h3>Subscribe to Our Newsletter</h3>
      </div>
      <div class="Subscribe_form"><form novalidate="novalidate" action="<?php echo $baseUrl;?>newsletter/subscriber/new/" method="post" id="newsletter-validate-detail">
                <div class="block-content">
                    <div class="input-box">
                        <input name="email" type="email" id="newsletter" placeholder="Enter your email here..." data-validate="{required:true, 'validate-email':true}">
                        <button class="hover-effect07" title="Subscribe" type="submit">
                            <span>Subscribe</span>
                        </button>
                    </div>
                </div>
            </form></div>
    </div>
  </div>
</section>
<script type="text/javascript">


require(['jquery','owl_carousel',], function () {
jQuery(document).ready(function (){
  if(jQuery(window).width() > 767){
    jQuery(".product_slider").owlCarousel({
      responsive:{

      0:{

      items:2,
      autoWidth:false,
      margin: 10
      },
      480:{

      autoWidth:false,
      items:3,
      margin: 10
      },
      767:{

      autoWidth:false,
      items:4,
      margin: 10
      },
      768:{

      autoWidth:false,
      items:5,
      margin: 15
      },
      980:{

      items:7,
      margin: 20
      }

      },
      nav:true,
      autoplay:true,
      autoplayTimeout:4000,
      loop:true,
      dots:false,
      navText:[
      "<i class='meigee-left-arrow-key-control'></i>",
      "<i class='meigee-right-arrow-key-control'></i>"
      ]
      });
  }
 });
});
</script> 
